Summary: Emacs VM mailer
Name: vm
Version: 6.37
Release: 1
Copyright: GPL
Group: Applications/Mail
Source0: ftp.uu.net:/networking/mail/vm/vm-6.37.tar.gz
Source1: ftp.uu.net:/networking/mail/vm/CHANGES.gz
Source2: ftp.uu.net:/networking/mail/vm/base64-encode.c
Source3: ftp.uu.net:/networking/mail/vm/base64-decode.c
Source4: vm-init.el
Patch: vm-FSSTND.patch
Packager: "William Evans" <william.evans@computer.org>
Requires: emacs >= 19

%description
VM (View Mail) is an Emacs subsystem that allows UNIX mail to be read
and disposed of within Emacs.
(This was compiled using libc-5 and emacs-19.34 ...)

%prep
%setup

%patch -p0

%build
make all
gcc $RPM_OPT_FLAGS -o base64-encode $RPM_SOURCE_DIR/base64-encode.c
gcc $RPM_OPT_FLAGS -o base64-decode $RPM_SOURCE_DIR/base64-decode.c

%install
install --directory --mode=0755 /usr/share/emacs/site-lisp/vm/pixmaps /usr/info
make install
install --mode=0644 $RPM_SOURCE_DIR/vm-init.el /usr/share/emacs/site-lisp/
install --strip --mode=0755 base64-encode base64-decode /usr/bin/
gzip -9 /usr/info/vm

%files
%doc README COPYING $RPM_SOURCE_DIR/vm-RedHat $RPM_SOURCE_DIR/CHANGES.gz
/usr/bin/base64-encode
/usr/bin/base64-decode
/usr/info/vm.gz
/usr/share/emacs/site-lisp/vm-init.el
/usr/share/emacs/site-lisp/vm/
